Index: editor/tools/analyzer_experimental |
diff --git a/editor/tools/analyzer_experimental b/editor/tools/analyzer_experimental |
new file mode 100755 |
index 0000000000000000000000000000000000000000..12a29ce6c4171dbb3526d45f0423b882808b8a14 |
--- /dev/null |
+++ b/editor/tools/analyzer_experimental |
@@ -0,0 +1,43 @@ |
+#!/bin/bash |
+# Copyright (c) 2013, the Dart project authors. Please see the AUTHORS file |
+# for details. All rights reserved. Use of this source code is governed by a |
+# BSD-style license that can be found in the LICENSE file. |
+ |
+set -e |
+ |
+CUR_DIR="$(cd "${BASH_SOURCE%/*}" ; pwd -P)" |
+ |
+if [ -z "$DART_CONFIGURATION" ]; then |
+ DART_CONFIGURATION="ReleaseIA32" |
+fi |
+ |
+DART_ROOT="$(cd "${CUR_DIR}/../.." ; pwd -P)" |
+SDK_DIR="$(cd "${DART_ROOT}/sdk" ; pwd -P)" |
+PKG_ANALYZER="$DART_ROOT/pkg/analyzer_experimental/bin/analyzer.dart" |
+ |
+if [[ `uname` == 'Darwin' ]]; then |
+ BUILD_DIR="$DART_ROOT/xcodebuild/$DART_CONFIGURATION" |
+else |
+ BUILD_DIR="$DART_ROOT/out/$DART_CONFIGURATION" |
+fi |
+ |
+PACKAGE_ROOT="$BUILD_DIR/packages/" |
+ |
+FOUND_SDK=0 |
+for ARG in "$@" |
+do |
+ case $ARG in |
+ --dart-sdk) |
+ FOUND_SDK=1 |
+ ;; |
+ *) |
+ ;; |
+ esac |
+done |
+ |
+if [ $FOUND_SDK = 0 ]; then |
+ exec "$BUILD_DIR/dart" "--package-root=$PACKAGE_ROOT" "${PKG_ANALYZER}" \ |
+ --dart-sdk "${SDK_DIR}" "$@" |
+else |
+ exec "$BUILD_DIR/dart" "--package-root=$PACKAGE_ROOT" "${PKG_ANALYZER}" "$@" |
+fi |